Bug 6326 - Breadcrumb URL for submission pages presumes Section Editor role
Breadcrumb URL for submission pages presumes Section Editor role
Status: RESOLVED FIXED
Product: OJS
Classification: Unclassified
Component: Editors
2.3.4
All All
: P3 normal
Assigned To: PKP Support
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-04 10:11 PST by Alec Smecher
Modified: 2011-08-12 14:20 PDT (History)
3 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments
Patch against OJS pre-2.3.4 (1.67 KB, patch)
2011-01-04 10:12 PST, Alec Smecher
Details | Diff
Patch against OCS pre-2.3.4 (2.18 KB, patch)
2011-01-04 10:16 PST, Alec Smecher
Details | Diff
Patch against OCS 2.3.3-1 (2.16 KB, patch)
2011-02-07 09:01 PST, Alec Smecher
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alec Smecher 2011-01-04 10:11:33 PST
Breadcrumb URL for Editor's submission pages presumes Section Editor role. If an Editor is just an Editor, this will go to a 404.
Comment 1 Alec Smecher 2011-01-04 10:12:06 PST
Created attachment 3406 [details]
Patch against OJS pre-2.3.4
Comment 2 Alec Smecher 2011-01-04 10:16:23 PST
Created attachment 3407 [details]
Patch against OCS pre-2.3.4
Comment 3 Alec Smecher 2011-02-07 09:01:00 PST
Created attachment 3425 [details]
Patch against OCS 2.3.3-1
Comment 4 r2d2 2011-03-27 08:24:01 PDT
I have applied the patch for OCS 2.3.3-1, but it did not change anything. The problem still persists: i.e., when Track Director clicks "Add Track Director" or "Add Director" link under the SUMMARY tab of a submission, I get 404 message.

This seems to me as an urgent fix for OCS 2.3.3-1, given the vital role of Track Directors in a conference.
Comment 5 Ramon Fonseca 2011-06-03 07:35:42 PDT
Hello all,

Has this been fixed for OCS 2.3.1?
Comment #4 is newer than the patch date.
Comment 6 Alec Smecher 2011-06-03 07:48:12 PDT
Ramon, I think you're looking for bug #6661.
Comment 7 Alec Smecher 2011-08-12 14:20:02 PDT
Fixed presumed Track Director role in breadcrumbs
https://github.com/pkp/ocs/commit/99ce7f3ff3e906c003b6b34cdcfc6718e5c602ca